<template>
  <div id="Testimoni" class="testimonial">
    <div class="testimonial__container">
      <el-row justify="center" :gutter="30">
        <el-col :md="24" :lg="12">
          <el-image class="testimonial-img" :src="img" fit="contain" />
        </el-col>

        <el-col :md="24" :lg="12" class="testimonial__right-content layered">
          <el-row class="testimonial__wrapper">
            <h1>
              Kata Mereka Tentang
              <span class="text-blue-700">Sapawarga?</span>
            </h1>
          </el-row>
          <el-row>
            <jds-card
              v-for="testimonial in testimonials"
              v-show="testimonial.id === activeTestimonial"
              :key="testimonial.id"
              :thumbnail="testimonial.img || imgUserDefault"
              :title="testimonial.name"
              :subtitle="testimonial.role"
            >
              <el-row>
                <div>{{ testimonial.text }}</div>
              </el-row>
            </jds-card>
            <div class="button-navigation">
              <em class="el-icon-arrow-left text-blue-700" @click="toggleTestimonial(-1)" />
              <em class="el-icon-arrow-right text-blue-700" @click="toggleTestimonial(1)" />
            </div>
          </el-row>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
import { testimonials } from './testimonials.js'
export default {
  name: 'Testimonial',
  data() {
    return {
      img: require('@/assets/landing-page/testimonial.png'),
      imgUserDefault: require('@/assets/user.png'),
      testimonials,
      activeTestimonial: 1
    }
  },
  methods: {
    toggleTestimonial(n) {
      this.activeTestimonial += n
      if (this.activeTestimonial > this.testimonials.length) {
        this.activeTestimonial = 1
      } else if (this.activeTestimonial < 1) {
        this.activeTestimonial = this.testimonials.length
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.testimonial {
  background: transparent;
  &__container {
    padding: 0 120px;
  }
  .testimonial-img {
    width: auto;
    height: 600px;
  }
  &__right-content {
    min-height: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  &__wrapper {
    padding: 0 24px;
  }
}

.layered {
  background-image: url('~@/assets/landing-page/testimonial-layer.png');
  background-repeat: no-repeat;
  background-position: right top;
}

h1 {
  font-family: Lora, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 40px;
  line-height: 60px;
  margin: 0;
}

.title {
  margin: 10px 0;
  font-family: Roboto, sans-serif;
  font-weight: 500;
  font-size: 21px;
  line-height: 34px;
  word-break: break-word;
}

.subtitle {
  font-family: Roboto, sans-serif;
  font-size: 16px;
  line-height: 26px;
  word-break: break-word;
}

.button-navigation {
  padding: 0 24px;
}

i {
  font-weight: bold;
  cursor: pointer;
}

.el-carousel__item h3 {
  color: #475669;
  font-size: 18px;
  opacity: 0.75;
  line-height: 300px;
  margin: 0;
}

@media screen and (max-width: 600px) {
  .testimonial {
    &__container {
      padding: 30px;
    }
    .testimonial-img {
      width: auto;
      height: 300px;
    }
    &__right-content {
      min-height: auto;
    }
  }

  h1 {
    height: auto;
    font-size: 24px;
    text-align: center;
    line-height: 34px;
  }
}
</style>
